Summary: An implementation of the lint program
Name: lclint
Version: 2.5q
Release: 3
Source0 http://lclint.cs.virginia.edu/lclint-%{version}.src.tar.gz
Source1 http://lclint.cs.virginia.edu/lclint-guide.tar.gz
Source2: lclint.wmconfig
Patch1: lclint-Makefile.patch
Patch2: lclint-proto.patch
Patch3: lclint-2.5q-time.patch
URL: http://lclint.cs.virginia.edu
Group: Development/Tools
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-root

%description 
Scans C source code for mistakes and bad style.

%prep
%setup -q -a 1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure

# XXX Do NOT simplify the build here or lclint will NOT have correct defaults!
# XXX The lclint top level Makefile invokes "make -e" and is subtly BROKEN!
make -C src \
    CC="gcc  -DSTDC_HEADERS=1 -O4" \
    DEFAULT_CPP=cpp \
    BISON=/usr/bin/bison \
    FLEX=/usr/bin/flex \
    LINKFLAGS=-lfl \
    DEFAULT_LARCHPATH=\".:%{_prefix}/lib/%{name}/lib\" \
    DEFAULT_LCLIMPORTDIR=\".:%{_prefix}/lib/%{name}/imports\" \
    SYSTEM_LIBDIR=\"%{_prefix}/\" \
	updateversion localconstants lclint && mv src/lclint bin/lclint

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README LICENSE lclint-guide emacs
%{_bindir}/*
%{_libdir}/lclint

%changelog
* Thu Feb 15 2001 Trond Eivind Glomsrd <teg@redhat.com>
- <time.h> fix

* Mon Dec 11 2000 Bill Nottingham <notting@redhat.com>
- fix build on ia64

* Mon Aug 21 2000 Jeff Johnson <jbj@redhat.com>
- set default configuration appropriately.

* Fri Jul 28 2000 Eric Veldhuyzen <eric@terra.nu>
- upgraded to 2.5q

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr

* Wed Jul 12 2000 Tim Powers <timp@redhat.com>
- fixed build section so that it links with flex properly

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jun 7 2000 Tim Powers <timp@redhat.com>
- minor spec file cleanups, built for Powertools-7.0

* Fri May 26 2000 Eric Veldhuyzen <eric@terra.nu>
- upgraded to 2.5m
- reorganized specfile

* Sat Oct 31 1998 Justin Cormack <jpc1@doc.ic.ac.uk>

- found correct 2.4b source (was actually 2.3)
- no longer an emacs mode
- added documentation

* Wed Oct 14 1998 Justin Cormack <jpc1@doc.ic.ac.uk>
- fixed library directories not to point at buildroot

* Mon Oct 12 1998 Justin Cormack <jpc1@doc.ic.ac.uk>
- fixed executable

* Mon Jun 06 1998 Michael Maher <mike@redhat.com>
- fixed paths for executable link

* Mon May 17 1998 Michael Maher <mike@redhat.com>
- updated to newest version
- added buildroot
- added wmconfig

* Mon Feb 16 1998 Otto Hammersmith <otto@redhat.com>
- added Summary

* Tue Feb  3 1998 Otto Hammersmith <otto@redhat.com>
- %doc'ed some stuff

* Mon Feb  2 1998 Otto Hammersmith <otto@redhat.com>
- made /usr/lib/lclint/bin a directory, not the executable

* Fri Jan 23 1998 Otto Hammersmith <otto@redhat.com>
- built the package
